Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt.profile.taglib
Class CreateProfileExtraInfo

    java.lang.Object
      javax.servlet.jsp.tagext.TagExtraInfo
          com.bea.p13n.usermgmt.profile.taglib.ResultTagExtraInfo
              com.bea.p13n.usermgmt.profile.taglib.CreateProfileExtraInfo

public class CreateProfileExtraInfo
extends ResultTagExtraInfo

Sets JSP page-scoped variables as a result of the <profile:getProfile> tag. This can optionally include a variable containing the retrieved profile, and/or its successor.

Constructor Summary
`CreateProfileExtraInfo()`

Method Summary
`VariableInfo[]` | `getVariableInfo(TagData data)` Create an array of VariableInfo objects containing information about the variables to create.
`boolean` | `isValid(TagData data)`

Methods inherited from class com.bea.p13n.usermgmt.profile.taglib.ResultTagExtraInfo
`createResultInfo`

Methods inherited from class javax.servlet.jsp.tagext.TagExtraInfo
`getTagInfo, setTagInfo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreateProfileExtraInfo

    public CreateProfileExtraInfo()

Method Detail

### getVariableInfo

    public VariableInfo[] getVariableInfo(TagData data)

  Create an array of VariableInfo objects containing information about the variables to create.

  Overrides:
    `getVariableInfo` in class `ResultTagExtraInfo`

### isValid

    public boolean isValid(TagData data)

  Overrides:
    `isValid` in class `ResultTagExtraInfo`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved